/* Declare fly.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_FLY_H__



// signals file inclusion
#define __3DFC_FLY_H__



class CFly {

public:

   CFly ();
   CFly ( CScenery &oScen, INT nResX, INT nResY, CMem& oFrBuff );
   ~CFly ();

private:

   CScenery* m_poScen;      // scenery data, used in collision detection

   #ifdef TRG_DJGPP
      CKeyboard m_oKb;         // keyboard control (is member to not construct)
   #endif

   CRender m_oRender;       // render engine (make scenery images)

public:

   // for socket communication
   char m_chSocketUse;      // flag: s - server / c - client / n - none
   CString m_oszIP;         // the IP address
   DWORD m_dwPort;          // the port
   BOOL m_bConnected;       // TRUE - have connection / FALSE not now
   CSocket m_oCliSoc;       // client for communication between 2 processes
   CServerSocket m_oSrvSoc; // server for communication between 2 processes
   // REVIEW por local
   CCameraSystem m_oSocCam; // the camera to be sended/received

   BOOL mCreate ( CScenery& oScen, INT nResX, INT nResY, CMem& oFrBuff );
   void mDestroy ();
   BOOL mRunFrame ();
   void mDetectCollision ( CNodeObject& oObj, DWORD dwObjID,
                           CNodeSector& oParentSec, tagfXYZ& stDirection );
};



// end declarations
#endif
